//=================================
// Panorama
//=================================
$(document).ready(function() {
  "use strict";

  var panorama = $("#panorama").ipanorama({
    theme: "ipnrm-theme-default",
    hotSpotSetup: false,
    onShare: function(e) {
      console.log("create a share dialog");
    },
    onHotSpotSetup: function(yaw, pitch, cameraYaw, cameraPitch, cameraZoom) {
      console.log(
        "yaw: " +
          yaw +
          ", pitch: " +
          pitch +
          ", cameraYaw: " +
          cameraYaw +
          ", cameraPitch: " +
          cameraPitch +
          ", cameraZoom: " +
          cameraZoom
      );
    },
    compass: true,
    hoverGrab: false,
    autoRotate: true,
    imagePreview: "../assets/images/3dtour/6.jpg",
    grab: true,
    grabCoef: 0.1,
    autoRotateInactivityDelay: 3000,
    autoLoad: false,
    showControlsOnHover: false,
    showSceneThumbsCtrl: false,
    showSceneMenuCtrl: false,
    showSceneNextPrevCtrl: false,
    showZoomCtrl: false,
    showShareCtrl: false,
    showFullscreenCtrl: false,
    sceneNextPrevLoop: false,
    popoverHideTrigger: "manual",
    popoverShowClass: "fx-rotateIn",
    popoverHideClass: "fx-bounceOut",
    pitchLimits: false,
    sceneThumbsVertical: true,
    sceneId: "main",
    scenes: {
      14: {
        autoRotate: true,
        autoRotateInactivityDelay: 3000,
        titleSelector: "#title",
        yaw: 0,
        pitch: 0,
        compassNorthOffset: 0,
        thumb: true,
        type: "cube",
        image: {
          left: "../assets/images/3dtour/main/nx.jpg",
          right: "../assets/images/3dtour/main/px.jpg",
          top: "../assets/images/3dtour/main/py.jpg",
          bottom: "../assets/images/3dtour/main/ny.jpg",
          back: "../assets/images/3dtour/main/nz.jpg",
          front: "../assets/images/3dtour/main/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "second",
            popoverShow: true,
            popoverPlacement: "top",
            popoverHtml: true,
            popoverSelector: "#popover"
          }
        ]
      },
      7: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard7/nx.jpg",
          right: "../assets/images/3dtour/yard7/px.jpg",
          top: "../assets/images/3dtour/yard7/py.jpg",
          bottom: "../assets/images/3dtour/yard7/ny.jpg",
          back: "../assets/images/3dtour/yard7/nz.jpg",
          front: "../assets/images/3dtour/yard7/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"

          }
        ]
      },
      11: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard/nx.jpg",
          right: "../assets/images/3dtour/yard/px.jpg",
          top: "../assets/images/3dtour/yard/py.jpg",
          bottom: "../assets/images/3dtour/yard/ny.jpg",
          back: "../assets/images/3dtour/yard/nz.jpg",
          front: "../assets/images/3dtour/yard/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"

          }
        ]
      },
      5: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard2/nx.jpg",
          right: "../assets/images/3dtour/yard2/px.jpg",
          top: "../assets/images/3dtour/yard2/py.jpg",
          bottom: "../assets/images/3dtour/yard2/ny.jpg",
          back: "../assets/images/3dtour/yard2/nz.jpg",
          front: "../assets/images/3dtour/yard2/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"
          }
        ]
      },
      3: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard3/nx.jpg",
          right: "../assets/images/3dtour/yard3/px.jpg",
          top: "../assets/images/3dtour/yard3/py.jpg",
          bottom: "../assets/images/3dtour/yard3/ny.jpg",
          back: "../assets/images/3dtour/yard3/nz.jpg",
          front: "../assets/images/3dtour/yard3/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"
          }
        ]
      },
      12: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard4/nx.jpg",
          right: "../assets/images/3dtour/yard4/px.jpg",
          top: "../assets/images/3dtour/yard4/py.jpg",
          bottom: "../assets/images/3dtour/yard4/ny.jpg",
          back: "../assets/images/3dtour/yard4/nz.jpg",
          front: "../assets/images/3dtour/yard4/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"
          }
        ]
      },
      6: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard5/nx.jpg",
          right: "../assets/images/3dtour/yard5/px.jpg",
          top: "../assets/images/3dtour/yard5/py.jpg",
          bottom: "../assets/images/3dtour/yard5/ny.jpg",
          back: "../assets/images/3dtour/yard5/nz.jpg",
          front: "../assets/images/3dtour/yard5/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"
          }
        ]
      },
      10: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard6/nx.jpg",
          right: "../assets/images/3dtour/yard6/px.jpg",
          top: "../assets/images/3dtour/yard6/py.jpg",
          bottom: "../assets/images/3dtour/yard6/ny.jpg",
          back: "../assets/images/3dtour/yard6/nz.jpg",
          front: "../assets/images/3dtour/yard6/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"
          }
        ]
      },
      8: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard7/nx.jpg",
          right: "../assets/images/3dtour/yard7/px.jpg",
          top: "../assets/images/3dtour/yard7/py.jpg",
          bottom: "../assets/images/3dtour/yard7/ny.jpg",
          back: "../assets/images/3dtour/yard7/nz.jpg",
          front: "../assets/images/3dtour/yard7/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"
          }
        ]
      },
      2: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard8/nx.jpg",
          right: "../assets/images/3dtour/yard8/px.jpg",
          top: "../assets/images/3dtour/yard8/py.jpg",
          bottom: "../assets/images/3dtour/yard8/ny.jpg",
          back: "../assets/images/3dtour/yard8/nz.jpg",
          front: "../assets/images/3dtour/yard8/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"
          }
        ]
      },
      1: {
        title: "Second Scene",
        type: "cube",
        image: {
          left: "../assets/images/3dtour/yard9/nx.jpg",
          right: "../assets/images/3dtour/yard9/px.jpg",
          top: "../assets/images/3dtour/yard9/py.jpg",
          bottom: "../assets/images/3dtour/yard9/ny.jpg",
          back: "../assets/images/3dtour/yard9/nz.jpg",
          front: "../assets/images/3dtour/yard9/pz.jpg"
        },
        hotSpots: [
          {
            yaw: 0,
            pitch: 0,
            sceneId: "main",
            popoverShow: true,
            popoverContent: "Go Back to The Main Scene"
          }
        ]
      }
    }
  });

  $("#fullscreen").click(function() {
    panorama.ipanorama("fullscreen");
  });
});
